Page MenuHomePhabricator

Perform a weekly review of edits made with VisualEditor
Closed, ResolvedPublic

Description

As a follow-up to T90894: Set up a process to keep a tally of problematic VisualEditor edits

We now have a tool and a process in place to easily review edits made with VisualEditor. This task will track the actual weekly reviews

Links to VisualEditor edits in recent changes:

Related Objects

Event Timeline

gpaumier created this task.Apr 1 2015, 10:15 PM
gpaumier claimed this task.
gpaumier raised the priority of this task from to Needs Triage.
gpaumier updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2015, 10:15 PM

2015-03-11:

Jdforrester-WMF triaged this task as High priority.Apr 2 2015, 5:23 PM
Jdforrester-WMF moved this task from Nominated to Doing on the VisualEditor 2014/15 Q4 blockers board.
gpaumier updated the task description. (Show Details)Apr 7 2015, 8:37 PM
gpaumier updated the task description. (Show Details)Apr 14 2015, 3:57 PM
Elitre added a subscriber: Elitre.Apr 14 2015, 5:31 PM
gpaumier added a comment.EditedMay 26 2015, 10:48 PM

2015-05-26:

(edit) Note that due to T100439 / T100248, the edits reviewed in this session were made a few days before, on May 22 & 23.

Here's the A/B-test-special requested by James:

2015-06-04:

  • English Wikipedia — No new bugs to report, but a rise in user errors, which is understandable if people using VisualEditor are newer and less experienced.
gpaumier closed this task as Resolved.Jun 16 2015, 8:04 PM

As announced, I'm going to close this, since we seem to have reached the point where the effort that goes into doing this every week doesn't appear to yield a lot of additional information.

The last time a bug was discovered through this activity was three weeks ago, and at this point the few remaining bugs that I occasionally encounter are known bugs that have either been fixed, or that are in the backlog. The other issues are usually due to user error.

We can re-assess in the future and see if it makes sense to conduct a few other sets of reviews later. Anyone can also use the script themselves (see T90894) and review diffs independently.

Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.Jun 17 2015, 11:30 PM